summaryrefslogtreecommitdiff
path: root/dev-ruby/permutation
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-ruby/permutation
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-ruby/permutation')
-rw-r--r--dev-ruby/permutation/Manifest1
-rw-r--r--dev-ruby/permutation/metadata.xml9
-rw-r--r--dev-ruby/permutation/permutation-0.1.8-r3.ebuild22
3 files changed, 32 insertions, 0 deletions
diff --git a/dev-ruby/permutation/Manifest b/dev-ruby/permutation/Manifest
new file mode 100644
index 000000000000..d2d4af5dad4c
--- /dev/null
+++ b/dev-ruby/permutation/Manifest
@@ -0,0 +1 @@
+DIST permutation-0.1.8.gem 18432 BLAKE2B 719d2c8c3006d821e69a5540a387f5e783aa0b9270bc650110171ad7d049835d4317deec68535dd9d1119259272867d6abffe97aabb9daa6c55b1d367da4bbd8 SHA512 78f9679a652d3f18ea4b459aeeceb3e25c912e28b7d9052c523b930e94e841fa84daa329f9ff06a23456cd7ab826f18cea181b85dfcfecbf303747990fa9a582
diff --git a/dev-ruby/permutation/metadata.xml b/dev-ruby/permutation/metadata.xml
new file mode 100644
index 000000000000..c685ebad7e3a
--- /dev/null
+++ b/dev-ruby/permutation/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-ruby/permutation/permutation-0.1.8-r3.ebuild b/dev-ruby/permutation/permutation-0.1.8-r3.ebuild
new file mode 100644
index 000000000000..eb1d5ca8e64b
--- /dev/null
+++ b/dev-ruby/permutation/permutation-0.1.8-r3.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGES README"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Library performing operations with permutations of sequences (strings, arrays)"
+HOMEPAGE="https://flori.github.io/permutation/"
+
+LICENSE="|| ( Ruby-BSD BSD-2 )"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc"
+
+each_ruby_test() {
+ ${RUBY} -Ilib test/test.rb || die
+}